### Function

# ICalGLib ComponentForeachRecurrenceFunc

#### Declaration

    void
    (* ICalComponentForeachRecurrenceFunc) (
      ICalComponent* comp,
      ICalTimeSpan* span,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`comp`

  Type: `ICalComponent`

  No description available.

  The data is owned by the caller of the function.

`span`

  Type: `ICalTimeSpan`

  No description available.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.